#
# Owen Stampflee <ostampflee@terrasoftsolutions.com>
#
# Copyright 2007 Terra Soft Solutions, Inc.
#
# This software may be freely redistributed under the terms of the GNU
# general public license.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
from pykickstart.base import *
from pykickstart.errors import *
from pykickstart.options import *

from rhpl.translate import _
import rhpl.translate as translate

translate.textdomain("pykickstart")

class YD6_NFSRoot(KickstartCommand):
    def __init__(self, writePriority=0, nfsServer="", nfsPath=""):
        KickstartCommand.__init__(self,writePriority)
        self.nfsServer = nfsServer
        self.nfsPath = nfsPath
    def __str__(self):
        if (self.nfsServer != "" and self.nfsPath != ""):
	    return "nfsroot --server %s --path %s\n" %(self.nfsServer, self.nfsPath)

    def parse(self, args):
        op = KSOptionParser(lineno=self.lineno)
        op.add_option("--server", dest="nfsServer")
        op.add_option("--path", dest="nfsPath")

        (opts, extra) = op.parse_args(args=args)
        self._setToSelf(op, opts)

